Last modified: 2014-06-05 10:29:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28447 - Bring Recentchanges to the 21st century (tracking)
Bring Recentchanges to the 21st century (tracking)
Status: RESOLVED INVALID
Product: MediaWiki
Classification: Unclassified
Recent changes (Other open bugs)
1.18.x
All All
: Normal enhancement with 3 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
: tracking
Depends on:
Blocks: tracking
  Show dependency treegraph
 
Reported: 2011-04-06 23:31 UTC by Krinkle
Modified: 2014-06-05 10:29 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Krinkle 2011-04-06 23:31:39 UTC
Currently Special:Recentchanges is pretty muchless on most major wikis.

* 1) The options haven't been updated for a while (the api has much more options and database supports the indexes, yes almost none of these options are available in our own frontend). Just to name a few options (not all should be available in the front-end per se)

 - Username filter
  = there is Special:Contributions but that doesn't do any of the advanced filtering like "hide patrolled edits". There's no way to get a simple list of unpatrolled edits by a certain user (useful during the clean up of a vandal after block with multiple people, who did what ? Especially if there were edits after the vandalism on the same page, as "(top edit)" doesn't help either in Special:Contributions.

 - Timeframe filter
  = there is an offset-parameter, but there isn't a from-parameter) - Wikis like nl.wikipedia that rcpatrol anonymous edits must do limit=1000 and scroll to the very bottom in order to get patrol old edits. being able to do from="yesterday 5am"&untill="yesterday 6am" is very useful and the API supports this.

 - Related to the above: Order (asc|desc, newer|older)

 - Namespaces
  = only one can be choosen, 'invert' and selecting multiple ones should be possible. API allows this by doing namespaces=0|10|12 for example) - useful for patrolling only content namespaces (ie. not talk spaces, user space etc.

 - Type: Show only edits, newpages or logs
  = again useful for patrolling. There is Special:Logs and Special:Newpages[1] but no Special:Recentedits, patrollers must go through the mess of the block actions, page moves etc. and other unpatrollable stuff. passing type will make this much easier.

* 2) It goes too fast and/or annoying to keep refreshing. We can ajaxify this (perhaps as an extension though, since polling the API in core may not be a good idea. The extension would provide a way to get it with HTML5 WebSockets)
  - Although there is IRC channels to stay in, those are cluttered by too much other stuff and aside from that there is two other obvious down sides to irc:
   - What's said is said: You can't filter out unpatrolled edits
   - No links to block/undo/revert or access for gadgets to add/customize things

* 3) The Tag-filter is an input field. This doesn't make sense since there's a limited number of values. Should be a dropdown menu ?

* Perhaps you have other ideas ? I'll be creating seperate bugs for the individual tasks in a few days, but using this one as a tracker for the overal project.


--
Krinkle

[1] Supporting type in recentchanges might make Special:Newpages obsolete, any thoughts ?
Comment 1 Brion Vibber 2011-11-08 19:56:41 UTC
Some related works in progress:
https://www.mediawiki.org/wiki/New_Page_Triage
Comment 2 Krinkle 2014-06-05 10:29:16 UTC
There's only ~ 50 or so open issues in the "Recent changes" component. The general important/severity flags are imho sufficient to not need a tracking bug like this.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links